# -*- conf -*-

# shell=$SHELL (if set, otherwise user's default shell from /etc/passwd)
# term=foot (or xterm-256color if built with -Dterminfo=disabled)
# login-shell=no

font=Iosevka Nerd Font:style=Regular:size=12, Sarasa Mono J:style=Regular:size=12
font-bold=Iosevka Nerd Font:style=Bold:size=12, Sarasa Mono J:style=Bold:size=12
font-italic=Iosevka Nerd Font:style=Italic:size=12, Sarasa Mono J:style=Italic:size=12
font-bold-italic=Iosevka Nerd Font:style=Bold Italic:size=12, Sarasa Mono J:style=Bold Italic:size=12
# line-height=<font metrics>
# letter-spacing=0
# horizontal-letter-offset=0
# vertical-letter-offset=0
dpi-aware=no

initial-window-size-pixels=800x600  # Or,
# initial-window-size-chars=<COLSxROWS>
# initial-window-mode=windowed
# pad=2x2                             # optionally append 'center'
# resize-delay-ms=100

# notify=notify-send -a foot -i foot ${title} ${body}
url-launch=qutebrowser ${url}

# bold-text-in-bright=no
# bell=none
# word-delimiters=,│`|:"'()[]{}<>
# jump-label-letters=sadfjklewcmpgh
# selection-target=primary
# workers=<number of logical CPUs>
# osc8-underline=url-mode

[scrollback]
lines=10000
# multiplier=3.0
# indicator-position=relative
# indicator-format=

[cursor]
# style=block
color=2e3440 d8dee9
# color=282c34 bbc2cf
# blink=no

[mouse]
hide-when-typing=yes
# alternate-scroll-mode=yes

[colors]
alpha=1.0
# --- Nord --- #
foreground=d8dee9
background=2e3440
regular0=3b4252  # black
regular1=bf616a  # red
regular2=a3be8c  # green
regular3=ebcb8b  # yellow
regular4=81a1c1  # blue
regular5=b48ead  # magenta
regular6=88c0d0  # cyan
regular7=e5e9f0  # white
bright0=4c566a   # bright black
bright1=bf616a   # bright red
bright2=a3be8c   # bright green
bright3=ebcb8b   # bright yellow
bright4=81a1c1   # bright blue
bright5=b48ead   # bright magenta
bright6=8fbcbb   # bright cyan
bright7=eceff4   # bright white
# -- OneDark -- #
# foreground=abb2bf
# background=282c34
# regular0=282c34  # black
# regular1=be5046  # red
# regular2=98c379  # green
# regular3=d19a66  # yellow
# regular4=61afef  # blue
# regular5=c678dd  # magenta
# regular6=56b6c2  # cyan
# regular7=abb2bf  # white
# bright0=3e4452   # bright black
# bright1=e06c75   # bright red
# bright2=98c379   # bright green
# bright3=e5c07b   # bright yellow
# bright4=61afef   # bright blue
# bright5=c678dd   # bright magenta
# bright6=56b6c2   # bright cyan
# bright7=bbc2cf   # bright white

# selection-foreground=<inverse foreground/background>
# selection-background=<inverse foreground/background>
# jump-labels=<regular0> <regular3>
# urls=<regular3>

[csd]
# preferred=server
# size=26
# color=<foreground color>
# button-width=26
# button-minimize-color=<regular4>
# button-maximize-color=<regular2>
# button-close-color=<regular1>

[key-bindings]
# scrollback-up-page=Shift+Page_Up
# scrollback-up-half-page=none
# scrollback-up-line=none
# scrollback-down-page=Shift+Page_Down
# scrollback-down-half-page=none
# scrollback-down-line=none
# clipboard-copy=Control+Shift+C
# clipboard-paste=Control+Shift+V
# primary-paste=Shift+Insert
# search-start=Control+Shift+R
# font-increase=Control+plus Control+equal Control+KP_Add
# font-decrease=Control+minus Control+KP_Subtract
# font-reset=Control+0 Control+KP_0
# spawn-terminal=Control+Shift+N
# minimize=none
# maximize=none
fullscreen=F11
pipe-visible=[sh -c "xurls | wofi -d -i | xargs -r qutebrowser"] none
pipe-scrollback=[sh -c "xurls | wofi -d -i | xargs -r qutebrowser"] none
pipe-selected=[xargs -r qutebrowser] none
# show-urls-launch=Control+Shift+u
# show-urls-copy=none

[search-bindings]
# cancel=Control+g Escape
# commit=Return
# find-prev=Control+r
# find-next=Control+s
cursor-left=Left Shift+H
cursor-left-word=Control+Left Control+Shift+H
cursor-right=Right Shift+L
cursor-right-word=Control+Right Control+Shift+L
# cursor-home=Home Control+a
# cursor-end=End Control+e
# delete-prev=BackSpace
delete-prev-word=Control+BackSpace
# delete-next=Delete
delete-next-word=Control+Delete
# extend-to-word-boundary=Control+w
# extend-to-next-whitespace=Control+Shift+W
# clipboard-paste=Control+v Control+y
# primary-paste=Shift+Insert

[url-bindings]
# cancel=Control+g Control+d Escape
# toggle-url-visible=t

[mouse-bindings]
# primary-paste=BTN_MIDDLE
# select-begin=BTN_LEFT
# select-begin-block=Control+BTN_LEFT
# select-extend=BTN_RIGHT
# select-extend-character-wise=Control+BTN_RIGHT
# select-word=BTN_LEFT-2
# select-word-whitespace=Control+BTN_LEFT-2
# select-row=BTN_LEFT-3
